Skip to main content
`Ctrl`+`K`

# PetscSectionViewFromOptions

View the `PetscSection` based on values in the options database

## Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionViewFromOptions(PetscSection A, PetscObject obj, const char name[])

Collective

## Input Parameters

- A - the `PetscSection` object to view

- obj - Optional object that provides the options prefix used for the options

- name - command line option

## Note

See `PetscObjectViewFromOptions()` for available values of `PetscViewer` and `PetscViewerFormat`

## See Also

PetscSection, `PetscSection`, `PetscSectionView`, `PetscObjectViewFromOptions()`, `PetscSectionCreate()`, `PetscSectionView()`

## Level

intermediate

## Location

src/vec/is/section/interface/section.c

## Examples

src/dm/impls/plex/tutorials/ex6.c
src/dm/impls/plex/tutorials/ex1.c

Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages